
inVRs - Bug #24
Update gmtl version to get rid of compiler warnings
09/26/2010 11:54 PM - Johannes Zarl-Zierl

Status: Closed Start date: 09/26/2010
Priority: Low Due date:
Assignee: Johannes Zarl-Zierl % Done: 100%
Category: inVRs (whole framework) Estimated time: 0.00 hour
Target version: V1.0 Alpha6 release
Resolution: fixed
Description

GMTL version 0.5.4 causes a lot of compiler warnings with g++ version "g++ (Debian 4.4.4-16) 4.4.5".
GMTL version 0.6 (or later) seems to fix this.

-> determine possible work-window
-> introduce a newer gmtl version, once it is possible to do so.

A sample of the issued warnings:

In file included from /home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/AxisAngle.h:38,                                                                 
                 from /home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/../OutputInterface/../SystemCore/DataTypes.h:39,
                 from /home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/../OutputInterface/ModelInterface.h:42,
                 from /home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/../OutputInterface/SceneGraphInterface.h:40,
                 from /home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/SystemCore.h:40,
                 from /home/zing/Projects/svn/inVRs/external/ufo/inVRs/Modules/Steering/Steering.cpp:3:
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h: In function ‘float gmtl::Math::fastInvSqrt(float)’:
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h:382: warning: dereferencing type-punned pointer will break
strict-aliasing rules
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h:384: warning: dereferencing type-punned pointer will break
strict-aliasing rules
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h: In function ‘float gmtl::Math::fastInvSqrt2(float)’:
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h:392: warning: dereferencing type-punned pointer will break
strict-aliasing rules
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h:394: warning: dereferencing type-punned pointer will break
strict-aliasing rules
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h: In function ‘float gmtl::Math::fastInvSqrt3(float)’:
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h:403: warning: dereferencing type-punned pointer will break
strict-aliasing rules
/home/zing/Projects/svn/inVRs/external/gmtl-0.5.4/gmtl/Math.h:405: warning: dereferencing type-punned pointer will break
strict-aliasing rules
In file included from /home/zing/Projects/svn/inVRs/external/ufo/inVRs/Modules/Steering/Steering.cpp:7:
/home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/UtilityFunctions.h: In function ‘bool copyFile(const std::string&, std::string)’:
/home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/UtilityFunctions.h:144: warning: comparison between signed and unsigned
integer expressions
/home/zing/Projects/svn/inVRs/src/inVRs/SystemCore/UtilityFunctions.h:153: warning: comparison between signed and unsigned
integer expressions

History
#1 - 11/05/2010 07:39 PM - Johannes Zarl-Zierl
- % Done changed from 0 to 60
Gmtl 0.6.1 has been added in revision r2168.

#2 - 12/07/2010 10:29 PM - Johannes Zarl-Zierl
- Status changed from In Progress to Closed
- % Done changed from 60 to 100
- Resolution set to fixed

Default since revision r2182.
